﻿.navbar-brand {
  background-size: contain;
  background-repeat: no-repeat;
  margin: 10px 10px 10px 10px;
  height: 30px;
  width: 188px;
}

.focusedform {
  background: #fff;
}
.focusedform #wrap .brand {
  background: #fff;
  margin-bottom: 40px;
  border-radius: 3px;
  padding: 40px 0px;
  width: 100%;
}
.focusedform #wrap .brand h1 {
  font-weight: 500;
  font-size: 28px;
  line-height: 42px;
  margin: 0;
  color: #05668d;
}

@media screen and (max-width: 780px) {
  .focusedform #wrap .brand {
    margin-bottom: 5%;
    padding: 0px;
  }
  #wrap .panel-register-heading h1 {
    font-size: 22px;
  }
  #wrap .panel-register-thankyou-heading h1 {
    font-size: 22px;
  }
}
@media screen and (max-width: 580px) {
  #wrap .panel-register-heading h1 {
    font-size: 18px;
    margin: 20px 0 !important;
  }
  #wrap .panel-register-thankyou-heading h1 {
    font-size: 18px;
    margin: 20px 0 !important;
  }
}

@media screen and (max-width: 950px) {
  .focusedform .verticalcenter.wideform {
    width: 100% !important;
  }
}

.form-section-field .form-section-field-row {
  flex-direction: column;
  padding-bottom: 10px;
}

/* Responsive table for form builder  */
/* table,
thead,
tbody,
th,
td,
tr {
	display: block;
}
thead tr {
	position: absolute;
	top: -9999px;
	left: -9999px;
}
tr {
	border: 1px solid #ccc;
}
td {
	border: none;
	border-bottom: 1px solid #eee;
	position: relative;
	padding-left: 50%;
	white-space: normal;
	text-align: left;
}
td:before {
	position: absolute;
	top: 6px;
	left: 6px;
	width: 45%;
	padding-right: 10px;
	white-space: nowrap;
	text-align: left;
	font-weight: bold;
}
table td:before {
	content: attr(abbr);
}
td label {
	text-align: right;
}
.editor-form_data {
	padding: 0;
} */

#wrap > ui-view > .container-fluid,
#wrap > ui-view > div > .container-fluid {
  padding: 10px 20px;
}

@media (max-width: 767px) {
  /* content scroll right on menu */
  .static-content {
    width: 100vw;
    width: calc(100vw);
    transform: translateZ(0);
  }
  .static-content-wrapper {
    overflow-x: hidden;
  }
  .static-sidebar {
    width: 240px;
  }
  .static-sidebar-wrapper {
    overflow-x: hidden;
    transition: width 0.5s;
  }
}
@media print {
  .no-print {
    display: none !important;
  }
  .print-no-border {
    border: none !important;
  }
}

/* login */
.bg-spire {
  background-image: url("../img/bg-doctor.png");
  background-position: center top;
  background-size: cover;
}

.patient-bg-spire {
  background-image: url("../img/bg-patient.png");
  background-position: center top;
  background-size: cover;
}

.bg-transparent {
  background: transparent !important;
}
.bg-translucid {
  background: rgba(255, 255, 255, 0.9) !important;
}
.the-bg {
  position: fixed;
  width: 100%;
  height: 100%;
}
.content-bg {
  position: fixed;
  height: 100%;
  right: 0px;
  left: 270px;
}
.sidebar-collapsed .content-bg {
  left: 80px;
}
@media screen and (max-width: 767px) {
  .content-bg {
    display: none;
  }
}

/* workflow */
.workflowbox.pending .nav-tabs .uib-tab a {
  background-color: rgb(80, 90, 100) !important;
  box-shadow: 0 3px 0 0 rgb(80, 90, 100) !important;
}
.workflowbox.pending .tab-content {
  border-color: rgb(80, 90, 100) !important;
}
.workflowbox.confirmed .nav-tabs .uib-tab a {
  background-color: rgb(170, 180, 20) !important;
  box-shadow: 0 3px 0 0 rgb(170, 180, 20) !important;
}
.workflowbox.confirmed .tab-content {
  border-color: rgb(170, 180, 20) !important;
}

.container-object .panel-heading.btn-collapse .btn-name {
  display: none;
}
.container-object .panel-heading h2 {
  height: auto;
}

/* object-context-list */
.hide-width-opacity {
  transition: all 200ms ease;
  transition-property: opacity, width;
}
.hide-width-opacity.ng-hide {
  display: block !important;
  opacity: 0;
  width: 0;
  flex-grow: 0 !important;
  padding-left: 0;
  padding-right: 0;
}

/* chat */

.message-list .panel-chat {
  height: auto;
  max-height: 600px;
  position: relative;
  padding-right: 10px;
}
.message-list .panel-chat .chat-message.me:after {
  border-right-color: transparent !important;
}
.message-list .panel-chat .chat-message:after {
  top: 13px;
}
.message-list .panel-chat .chat-message .chat-contact {
  width: 40px;
  text-align: center;
  font-size: 24px;
}
.message-list .panel-chat .chat-message .chat-text .chat-text-header {
  display: block;
  padding-bottom: 10px;
  font-size: 11px;
  font-style: italic;
}
.dash-message-list .panel-tasks li .task-container > span.label {
  width: auto;
  height: auto;
}
.message-list .divider {
  display: none;
}
.message-list .first-unread .divider {
  display: block;
  height: 30px;
  display: flex;
  color: #fb8c00;
}
.message-list .panel-chat .chat-message.first-unread:after {
  top: 43px;
}
.message-list .divider:before {
  margin-right: 1em;
}
.message-list .divider:after {
  margin-left: 1em;
}
.message-list .divider:before,
.message-list .divider:after {
  content: "";
  height: 1.5ex;
  border-bottom: 0.2em solid;
  flex-grow: 1;
}
.dash-message-list .panel-tasks li:hover {
  background: #e5e1e1;
}

/* visit check list */
.check-list-grid .ag-body-container {
  margin-bottom: 0;
}

/* lists sort */
.ag-cell-label-container.ag-header-cell-sorted-asc .ag-header-cell-label,
.ag-cell-label-container.ag-header-cell-sorted-desc .ag-header-cell-label {
  color: #05668d; /*#23b999;*/
}

/* Fix reference field overflow with dispaly flex bug */
.form .flexrow .strech,
.schedule-list .flexrow .strech {
  flex: 1 1 0;
  min-width: 0;
}
.form .ui-select-bootstrap .ui-select-toggle {
  border-width: 2px;
  display: flex;
}
.form .ui-select-bootstrap .ui-select-toggle .ui-select-match-text {
  flex: 1 1 0;
  min-width: 0;
  overflow: hidden;
}

.form .ui-select-bootstrap .ui-select-choices-row.active > a {
  background-color: #133ad8;
}

/* Object context list row colors */
.context-action-required {
  background: rgba(51, 245, 51, 0.14);
}
.context-list-row-success {
  background: rgba(51, 245, 51, 0.24);
}
.context-list-row-green {
  background: rgba(16, 115, 96, 0.24);
}
.context-list-row-sky {
  background: rgba(118, 196, 237, 0.24);
}
.context-list-row-primary {
  background: rgba(38, 133, 238, 0.24);
}
.context-list-row-orange {
  background: rgba(236, 118, 31, 0.24);
}
.context-list-row-brown {
  background: rgba(192, 57, 43, 0.24);
}
.context-list-row-danger {
  background: rgba(239, 85, 58, 0.24);
}
.context-list-row-warning {
  background: rgba(249, 208, 13, 0.24);
}
.context-list-row-inverse {
  background: rgba(91, 91, 91, 0.24);
}
.context-list-row-midnightblue {
  background: rgba(55, 68, 78, 0.24);
}
.context-list-row-magenta {
  background: rgba(224, 109, 148, 0.24);
}
.context-list-row-info {
  background: rgba(5, 167, 207, 0.24);
}

.context-list-row-success a,
.context-list-row-sky a {
  background-color: transparent;
}

/* Form builder results field */
.form-results-container {
  padding: 20px;
  background-color: #fff;
  border: 1px solid #7189e8;
  border-radius: 5px;
}

.form-control {
  border-width: 2px;
}

/* Register form */
.patient-register-panel .consent_option {
  padding: 0 10px;
}
.patient-register-panel .consent_option .fancy_checkbox input {
  float: left;
  margin-right: 10px;
}
.patient-register-panel .consent_option .fancy_checkbox {
  cursor: pointer;
}
.patient-register-panel .consent_option .fancy_checkbox .checkbox-label {
  display: inline;
  cursor: pointer;
}
.patient-register-panel
  .consent_option
  .fancy_checkbox
  .checkbox-label
  .wording.required
  p:after {
  box-sizing: border-box;
  content: " ■";
  font-size: 1.1em;
  line-height: 0.8em;
  color: #fb8c00;
}
.patient-register-panel .gdpr_consents_row .error_holder {
  text-align: center;
  padding-bottom: 5px;
  color: #ff5252;
}

/* Exam file parser */

.patient-series-box p {
  display: flex;
  align-items: stretch;
  align-content: stretch;
}
.patient-series-box p .si-label {
  width: 200px;
  display: block;
  font-weight: 700;
}
.patient-series-box p .si-value {
  flex-grow: 1;
  display: block;
}
.patient-box,
.patient-series-box {
  margin-bottom: 10px;
  padding-bottom: 10px;
}

.fancy-field {
  font-weight: bold;
  font-size: 24px;
}

/* disappearing scroll-y fix */
.ag-body-viewport.ag-layout-normal {
  height: calc(100% - 1px);
}

.form-section-field .form-section-field-row {
  border-top: 1px solid #427aa1;
  display: flex;
  align-items: stretch;
  align-content: stretch;
}
.form-section-field .form-section-field-row .form-section-field-grid-wrapp {
  flex: 1 1 0;
  /* padding-left: 50px; */
  padding-top: 15px;
}
.form-section-field .form-section-field-row .form-section-field-buttons-wrapp {
  flex-shrink: 0;
  flex-grow: 0;
  width: 5vw;
  text-align: center;
  display: flex;
}
.form-section-field
  .form-section-field-row
  .form-section-field-buttons-wrapp
  button {
  margin: auto;
}
.focusedform .verticalcenter.wideform {
  width: 900px;
}

.fs-icon:before,
.accordion-group .accordion-item .accordion-title h4:after,
#sidebar li.hasChild > a:after,
#sidebar li.hasChild.open > a:after,
body.show-infobar .infobar .open .panel-heading a:after,
body.show-infobar .infobar .panel-heading a:after,
.panel-group .panel-heading a:after,
.caret:before,
.breadcrumb > li + li:before {
  /* Font Awesome Version */
  font-family: "Font Awesome 6 Pro";
}

.form-section-field .form-section-field-row {
  border-top: 1px solid #427aa1;
  display: flex;
  align-items: stretch;
  align-content: stretch;
}
.form-section-field .form-section-field-row .form-section-field-grid-wrapp {
  flex: 1 1 0;
  padding-left: 50px;
  padding-top: 15px;
}
.form-section-field .form-section-field-row .form-section-field-buttons-wrapp {
  flex-shrink: 0;
  flex-grow: 0;
  width: 5vw;
  text-align: center;
  display: flex;
}
.form-section-field
  .form-section-field-row
  .form-section-field-buttons-wrapp
  button {
  margin: auto;
}

/* Forms input N/D switch */
.form-control-nd-switch.form-control-nd-switch-inline {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.form-control-nd-switch.form-control-nd-switch-inline .form-control-nd-wrap {
  flex-grow: 1;
}
.form-control-nd-switch.form-control-nd-switch-inline .nd_label {
  margin: 0;
  padding: 0;
  cursor: pointer;
}
.form-control-nd-switch.form-control-nd-switch-inline .nd_label span {
  padding-left: 5px;
  text-align: right;
}
.form-control-nd-switch.form-control-nd-switch-inline .nd_switch {
  flex-grow: 0;
  flex-shrink: 0;
  padding-left: 20px;
  text-align: right;
}

.btn-default:hover {
  color: #fff;
}

.btn-link:hover,
.btn-link:focus {
  color: #133ad8;
}

.static-content-wrapper {
  background-color: #f1f5f8;
}

.uib-datepicker .btn.btn-default {
  background-color: transparent;
  color: #19191d;
}

.uib-datepicker .btn.btn-default:hover {
  background-color: #133ad8;
}

.uib-datepicker .btn.btn-default.active {
  background-color: #133ad8;
  color: #fff;
}

.uib-datepicker .ng-dirty.ng-valid,
.uib-datepicker .text-info {
  color: #000;
}

.btn.btn-default.form-control.ui-select-toggle:hover {
  color: #19191d;
}

.btn-default-focus {
  color: #555;
  background-color: #fff;
  border-color: #133ad8;
  outline: none;
  box-shadow: none;
}

.fc th,
.fc td {
  border: 1px solid #e0e0e0;
}

.btn:focus,
.btn:active:focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn.active.focus {
  outline: none;
}

.panel.panel-primary > .panel-heading ul.nav-tabs > li.active > a,
.panel.panel-primary > .panel-heading ul.nav-tabs > li.active:hover > a {
  background-color: #e6f5ff;
  color: #133ad8 !important;
}

#page-heading ol.breadcrumb,
footer {
  background-color: transparent;
}

.workflow-btn-checked {
  color: #fff !important;
  background-color: #81c04d !important;
  border-color: #74b440 !important;
  &:hover,
  &:focus,
  &:active {
    color: #fff !important;
    background-color: #68a139 !important;
    border-color: #578730 !important;
  }
}

.workflow-btn-unchecked {
  color: #fff !important;
  background-color: #ef553a !important;
  border-color: #ed4122 !important;
  &:hover,
  &:focus,
  &:active {
    color: #fff !important;
    background-color: #e43212 !important;
    border-color: #c32a10 !important;
  }
}
